package com.unis.model.login_log;

import android.os.AsyncTask;

import com.unis.model.room.MyDB;
import com.xyxsbj.mylibrary.tool.LogTool;

/**
 * 删除所有登录记录
 * 创建人: mQ
 * 时间: 2021/2/7 16:15
 */
public class LoginLogDelAllTask extends AsyncTask<Void, Void, Void> {


    public LoginLogDelAllTask() {
    }

    @Override
    protected Void doInBackground(Void... voids) {
        LogTool.i("删除所有登录记录");
        // 获取第一条登录记录
        MyDB.get().loginDao().deleteAll();
        return null;
    }

    @Override
    protected void onPostExecute(Void v) {
        super.onPostExecute(v);
    }

}
